#include <Python.h>
#include <ncurses.h>

static PyObject *
pyuse_default_colors(PyObject *self, PyObject *args)
{
  use_default_colors();
  Py_INCREF(Py_None);
  return Py_None;
}

static PyMethodDef SpamMethods[] = {
    {"use_default_colors",  pyuse_default_colors, METH_NOARGS,
     "Use Default Colors."},
    {NULL, NULL, 0, NULL}        /* Sentinel */
};

/* PyMODINIT_FUNC */
/* The docs say to use the above, but it doesn't exist in my copy of
 * Python.h. */
void initusedefault()
{
  (void) Py_InitModule("usedefault", SpamMethods);
}
